clear all
close all
clc

aditivo = (0:8)';
t = [12;10.5;10;8;7;8;7.5;8.5;9];

A = [aditivo.^2, aditivo, ones(size(t))];

% Observar que Q*Q' es la identidad
[Q, R] = qr(A);

r = rank(R);
R1 = R(1:r, 1:r);

B = A'*A;

cond(B)
cond(R1)

% Coeficientes del polinomio ajustado obs, c = polyfit(aditivo, t, 2)
% obtiene el mismo resultado
c = R\(Q'*t);

x = linspace(0, 8, 100);
plot(aditivo, t, '*r', x, polyval(c, x), 'b')
xlabel('Aditivo')
ylabel('tiempo de secado')
grid on

% Minimo de la parabola
aditivo_crit = -c(2)/(2*c(1));
tmin = polyval(c, aditivo_crit);

% Mostrar minimo
disp('Cantidad de aditivo para t minimo')
disp(aditivo_crit)
disp('t minimo')
disp(tmin)