clear all
close all
clc

% Datos de la tabla
t = (0:10)';
n = 1e-4*[5.03;4.71;4.40;3.97;3.88;3.62;3.30;3.15;3.08;2.92;2.70];

% Relacion encontrada 1/n = 1/n0 + alpha*t. La matriz asociada
A = [ones(size(t)), t];
b = 1./n;

% Resolviendo sistema (minimos cuadrados)
x = A\b;

% Coeficientes
n0 = 1/x(1);
alpha = x(2);

% Puntos a evaluar el modelo obtenido
tt = linspace(0, 10, 110);

% Graficar
plot(t, n, '*b', tt, n0./(1 + n0*alpha*tt), 'r')
grid on
xlabel('Tiempo (seg)')
ylabel('concentracion de iones')
