clear all
close all
clc

% Datos tabla
dosisA = [0.25;1;1.5;2.5;7.5];
deltaP = [-10.8;13.5;16.4;28.7;51.3];

% Sistema de ecuaciones asociados
A = [ones(size(dosisA)), log10(dosisA)];
b = deltaP;

% Resolver sistema
x = A\b;

% Obtener coeficientes
a = x(1);
b = x(2);

% Graficar y evaluar en 100 puntos
d = linspace(0.25, 7.5, 100);
aumento_peso = a + b*log10(d);

plot(dosisA, deltaP, '*b', d, aumento_peso, 'r')
xlabel('Dosis de Vitamina A [mg]')
ylabel('Aumento de Peso [g]')

% Para no aumentar de peso, se debe resolver 0 = a + b*log10(d),
% resolviendo se obtiene d = 10^(-a/b)
vitamina_A = 10^(-a/b);